Skip to main content
GET
List users

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required

Query Parameters

limit
integer
default:50

Items per page. Max 50.

Required range: 1 <= x <= 50
cursor
string | null

Pagination cursor from previous response.

active_only
boolean
default:false

Filter to users who consumed message credits in the last 30 days.

tier
string | null

Filter by workspace tier, such as "builder", "pro", or "enterprise". Use the base tier name, which matches its numbered sub-tiers.

over_member_limit
boolean
default:false

Return only members whose consumption has exceeded their per-member credit limit in the current credit reset period. Has no effect when the workspace tier does not enforce per-member limits.

sort
string | null

Sort by "email", "created_at", "role", "total_apps", "total_superagents", "active_last_30d", "total_message_credits", "total_integration_credits", "total_credits", "credit_limit", "credit_limit_used", or "credit_limit_remaining". Prefix with - for descending.

search
string | null

Case-insensitive email search.

Maximum string length: 100
role
string | null

Filter by workspace role: "owner", "admin", "editor", "viewer", or "guest".

is_active
boolean | null

Filter by enabled (true) or disabled (false) platform user account state.

from
string | null

Start date in YYYY-MM-DD format. Required if to is provided. Defaults to billing period start.

to
string | null

End date in YYYY-MM-DD format. Required if from is provided. Defaults to current date.

Response

Successful Response

Paginated list of users.

users
AnalyticsUserRecord · object[]
required

List of users.

pagination
PaginationMetadata · object
required

Pagination metadata.